export function getRandomItems<T>(array: T[], count: number): T[] {
  if (count === 0 || array.length === 0) return [];
  const index = Math.floor(Math.random() * array.length);
  const item = array[index];
  array.splice(index, 1);

  const items = getRandomItems(array, count - 1);
  items.push(item);
  return items;
}

export const sum = (a: number, b: number) => a + b;
