import { GameStage, Game } from "$lib/game";
import { redirect } from "@sveltejs/kit";

export async function load(event) {
  const game = new Game(event.cookies);

  if (game.state.stage !== GameStage.GAME_OVER) redirect(303, "/quiz");

  return { score: game.state.score };
}

export const actions = {
  async default(event) {
    const game = new Game(event.cookies);

    game.reset();

    event.cookies.delete("color", { path: "/" });
  },
};
