import env from "$lib/env";
import { Client, cacheExchange, fetchExchange } from "@urql/core";

export const client = new Client({
  url: `${env.API_ORIGIN}/graphql/v0`,
  exchanges: [cacheExchange, fetchExchange],
  fetchOptions: {
    headers: {
      Authorization: `Basic ${env.API_TOKEN}`,
    },
  },
});
