import { initGraphQLTada } from "gql.tada";
import type { introspection } from "./types";

export const graphql = initGraphQLTada<{
  introspection: introspection;
  scalars: {
    Identifier: string;
    Base64: string;
    Url: string;
  };
}>();

export { readFragment } from "gql.tada";
export { client } from "./client";
